\documentclass{standalone}
\usepackage[dvipsnames]{xcolor}
\usepackage{tikz,siunitx}
\usetikzlibrary{3d,angles,arrows.meta,quotes,decorations.markings}
\begin{document}

% arrows with style "latex"
% circles with an arrow at positions 0.35 and 0.85
\begin{tikzpicture}
  [>=latex,
    z={(-90:5mm)},
    decoration={markings, 
    mark= at position 0.35 with {\arrow{latex}},
    mark= at position 0.85 with {\arrow{latex}}}
  ]

  % vertical axis with an I
  \begin{scope}[canvas is zy plane at x=0]
    \draw[->] (0,-3) -- (0,3) node[above] {I};
  \end{scope}

  % conductor (lower half)
  \draw [line width=2pt, orange] (0,-2) -- ++(0,2);

  % concentric circles on plane zx
  \begin{scope}[canvas is zx plane at y=0]
    \draw[->,blue] (0,0) ++(135:2) coordinate (B) -- node [above] {$\vec{B}$} ++(225:1.6);
    \draw[dashed] (0,0) -- node[above] {r} (B);
    \foreach \radius in {1,2,3}
             {
               \draw[postaction={decorate}] (0,0) circle [radius=\radius cm];
             }
  \end{scope}

  % conductor (upper half)
  \draw [line width=2pt, orange] (0,0) -- ++(0,2);

\end{tikzpicture}
\end{document}
